These are chat archives for sdkman/vendors

22nd
Dec 2015
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 12:59
Hi

Just tried to release kotlin but with no luck:

[15:58:08][io.sdkman:sdkman-maven-plugin] status:400
[15:58:08][io.sdkman:sdkman-maven-plugin] message:not a valid candidate: kotlin

I tried also with candiate=Kotlin (upper case) but got another error
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 13:24
Same if I run with curl
Marco Vermeulen
@marc0der
Dec 22 2015 13:36
Okay, one thing to check is the url in the Maven plugin. I think that @vietj originally hard coded it to point to the dev environment.
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 13:37
I tried directly with curl https://sdkman-vendor.herokuapp.com/release and got same error: not a valid candidate: kotlin
Marco Vermeulen
@marc0der
Dec 22 2015 13:37
okay, let me take a quick look in the db...
cool, I think I found the problem.
can you give it another try?
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 13:40
sure, one moment
looks like it works but structured message sending failed
Marco Vermeulen
@marc0der
Dec 22 2015 13:44
okay, I see it appearing in the database.
let me quickly check to see if it's available
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 13:44
what should I do to see it in command line ?
> sdk ls kotlin                                                     

Stop! kotlin is not a valid candidate.
Marco Vermeulen
@marc0der
Dec 22 2015 13:48
okay, try again
you can do an sdk list and search for kotlin.
or you can do sdk list kotlin
and of course sdk install kotlin
which I just did and it works. sweet!
so you did the release? did you also do the default call?
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 14:02
Yes, it succeeded but announce failed
[16:41:42][io.sdkman:sdkman-maven-plugin] [INFO] --- sdkman-maven-plugin:1.0-SNAPSHOT:default (default-cli) @ sdkman-maven-plugin ---
[16:41:44][io.sdkman:sdkman-maven-plugin] status:202
[16:41:44][io.sdkman:sdkman-maven-plugin] id:567952d6ac4bb2c3c0cf53f0
[16:41:44][io.sdkman:sdkman-maven-plugin] message:default kotlin version: 1.0.0-beta-3595
[16:41:46][io.sdkman:sdkman-maven-plugin] [INFO] --- sdkman-maven-plugin:1.0-SNAPSHOT:default (default-cli) @ sdkman-maven-plugin ---
[16:41:47][io.sdkman:sdkman-maven-plugin] Failed to execute goal io.sdkman:sdkman-maven-plugin:1.0-SNAPSHOT:default (default-cli) on project sdkman-maven-plugin: The parameters '_default' for goal io.sdkman:sdkman-maven-plugin:1.0-SNAPSHOT:default are missing or invalid
however
~ ❯ sdk ls | grep kotlin              
Kotlin (1.0.0-beta-3595)                                 https://kotlinlang.org/
                                                            $ sdk install kotlin
~ ❯ sdk install kotlin                
Stop! kotlin is not a valid candidate.
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 14:07
Ah I see, the announce failed because of mistake in the documentation
Marco Vermeulen
@marc0der
Dec 22 2015 14:51
@cy6erGn0m sorry, had to attend to work
you can do an sdk flush candidates. then open a new terminal.
let me know what the problem is in the docs and I'll fix it.
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 14:56
I see, it works now. It was not obvious at all that I have to open a new terminal to get it work
Anyway, thank you for patience
Marco Vermeulen
@marc0der
Dec 22 2015 15:56
no problem, did you get the broadcast phase to work?
Sergey Mashkov
@cy6erGn0m
Dec 22 2015 16:08
We are going to release next kotlin very soon, will try again when it ready
There was just an error in the doc for maven plugin. I had opened a pull request to fix it
Marco Vermeulen
@marc0der
Dec 22 2015 16:10
excellent, will take a look. and thanks for your patience!
Marco Vermeulen
@marc0der
Dec 22 2015 22:37
I merged your PR, thanks for spotting that. I also noticed that you managed to do your broadcast. So it looks like you are all good.